Bug 116558 - security/gnupg port requires ldap even when it's not selected
security/gnupg port requires ldap even when it's not selected
Status: Closed FIXED
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s)
Latest
Any Any
: Normal Affects Only Me
Assigned To: Jun Kuriyama
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2007-09-22 19:20 UTC by jrhett
Modified: 2008-01-12 00:35 UTC (History)
0 users

See Also:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description jrhett 2007-09-22 19:20:02 UTC
[jrhett@triceratops /usr/ports/security/gnupg] $ cat /var/db/ports/gnupg/options
# This file is auto-generated by 'make config'.
# No user-servicable parts inside!
# Options for gnupg-2.0.4
_OPTIONS_READ=gnupg-2.0.4
WITHOUT_LDAP=true
WITHOUT_SCDAEMON=true
WITH_CURL=true
WITH_GPGSM=true

[jrhett@triceratops /usr/ports/security/gnupg]$ make
===>   gnupg-2.0.4 depends on package: libassuan>=1.0.1 - found
===>   gnupg-2.0.4 depends on executable: gmake - found
===>   gnupg-2.0.4 depends on shared library: gcrypt.13 - found
===>   gnupg-2.0.4 depends on shared library: gpg-error - found
===>   gnupg-2.0.4 depends on shared library: ksba.17 - found
===>   gnupg-2.0.4 depends on shared library: pth.20 - found
===>   gnupg-2.0.4 depends on shared library: curl - found
===>   gnupg-2.0.4 depends on shared library: ldap-2.3.2 - not found
===>    Verifying install for ldap-2.3.2 in /usr/ports/net/openldap23-client
===>   openldap-client-2.3.38 depends on file: /usr/local/bin/libtool - found
===>  Configuring for openldap-client-2.3.38
^C
Comment 1 Edwin Groothuis freebsd_committer 2007-09-23 01:20:34 UTC
Responsible Changed
From-To: freebsd-ports-bugs->kuriyama

Over to maintainer
Comment 2 dfilter freebsd_committer 2007-10-13 12:10:14 UTC
kuriyama    2007-10-13 11:10:09 UTC

  FreeBSD ports repository

  Modified files:
    security/gnupg       Makefile 
  Log:
  - Add a note "require LDAP" in GPGSM knob for $OPTIONS.  This may help
    to reduce confusion when "WITHOUT_LDAP and WITH_GPGSM selected, but
    OpenLDAP dependency exists" situcation.
  
  PR:             ports/116558
  Reported by:    Jo Rhett <jrhett@netconsonance.com>
  
  Revision  Changes    Path
  1.108     +2 -1      ports/security/gnupg/Makefile
_______________________________________________
cvs-all@freebsd.org mailing list
http://lists.freebsd.org/mailman/listinfo/cvs-all
To unsubscribe, send any mail to "cvs-all-unsubscribe@freebsd.org"
Comment 3 Jun Kuriyama freebsd_committer 2007-10-13 12:10:23 UTC
State Changed
From-To: open->feedback

If you enable GPGSM knob, LDAP knob is also enabled automatically. 

Sorry, this may be confusing.  I've committed to refine the text in 
$OPTIONS screen.  Hope this helps.
Comment 4 Jun Kuriyama freebsd_committer 2008-01-12 00:35:33 UTC
State Changed
From-To: feedback->closed

Feedback timeout.